#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "${LIBGPAK_MESSAGE_SH:-}" ]] && return
LIBGPAK_MESSAGE_SH=1

msg() {
    local mesg=$1; shift
    printf "[#] ${mesg}\n" "$@"
}

msg2() {
    local mesg=$1; shift
    printf "  [->] ${mesg}\n" "$@"
}

warning() {
    local mesg=$1; shift
    printf "[=] ${mesg}\n" "$@" >&2
}

warning2() {
    local mesg=$1; shift
    printf "  [=>] ${mesg}\n" "$@" >&2
}

error() {
    local mesg=$1; shift
    printf "[!] ${mesg}\n" "$@" >&2
}

error2() {
    local mesg=$1; shift
    printf "  [!>] ${mesg}\n" "$@" >&2
}
