#!/bin/bash
#
# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "${LIBGPAK_PATH_SH:-}" ]] && return
LIBGPAK_PATH_SH=1

make_absolute_path() {
    path="$1"
    prefix="${2:-${PWD}}"

    [[ "${path}" != /* ]] && path="${prefix}/${path}"
    printf "${path}"
}
